Bug 36781 - OpenSSL version mismatch. Built against 90581f, you have 90600f
Summary: OpenSSL version mismatch. Built against 90581f, you have 90600f
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-20 11:45 UTC by Oooooh now that would be telling
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 11:45:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oooooh now that would be telling 2001-04-20 11:45:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


I have just applied the new security update of openssh-2.5.2p2-1.7.2. When 
I try to start sshd I get the message Generating SSH2 RSA host key: 
Failed.  I ran /usr/bin/ssh-keygen --help and it reports the error given 
above in the summary.  I already had openssl-0.9.6-1 installed, obtained 
from the contrib section, because I am using postfix.  It was working fine 
with openssh-2.3.0p1-4 but is now broken.

Reproducible: Always
Steps to Reproduce:
1.  Install openssl-0.9.6-1 and openssh-2.5.2p2-1.7.2
2.  start sshd or run /usr/bin/ssh-keygen
3.
	

Actual Results:  OpenSSL version mismatch. Built against 90581f, you have 
90600f

Expected Results:  The keygen program should have run.

Comment 1 Pekka Savola 2001-04-22 06:10:25 UTC
You have to recompile OpenSSH against your version of OpenSSL or go back to the version
OpenSSH was compiled against.  Else you get a lot of weird errors.


Note You need to log in before you can comment on or make changes to this bug.